Bug 1577311 (CVE-2018-10779) - CVE-2018-10779 libtiff: heap-based buffer over-read in TIFFWriteScanline function in tif_write.c
Summary: CVE-2018-10779 libtiff: heap-based buffer over-read in TIFFWriteScanline func...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10779
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1577315 1577314 1577316 1577317 1577393 1598503
Blocks: 1577318
TreeView+ depends on / blocked
 
Reported: 2018-05-11 17:09 UTC by Laura Pardo
Modified: 2019-09-29 14:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow has been discovered in libtiff in TIFFSetupStrips:tif_write.c, which could lead to a heap-based buffer overflow in TIFFWriteScanline:tif_write.c. An attacker may use this vulnerability to corrupt memory or cause Denial of Service.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:08:53 UTC

Description Laura Pardo 2018-05-11 17:09:49 UTC
A flaw was found in LibTIFF 3.8.2 in TIFFWriteScanline function in tif_write.c. A heap-based buffer over-read, as demonstrated by bmp2tiff.


References:
http://bugzilla.maptools.org/show_bug.cgi?id=2788

Comment 1 Laura Pardo 2018-05-11 17:10:37 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1577316]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1577314]
Affects: fedora-all [bug 1577315]

Comment 4 Riccardo Schirone 2018-07-05 16:02:30 UTC
An integer overflow when computing the size of `td->td_stripbytecount` in TIFFSetupStrips allocates a buffer smaller than what is necessary, thus leading to a heap-based buffer overflow in TIFFWriteScanline when accessing the array.

Comment 7 errata-xmlrpc 2019-08-06 12:08:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 8 Product Security DevOps Team 2019-08-06 19:18:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10779


Note You need to log in before you can comment on or make changes to this bug.